% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/time_evolution.R
\name{unitary_matrix}
\alias{unitary_matrix}
\title{The Unitary Time Evolution Operator of a Quantum Walk}
\usage{
unitary_matrix(object, ...)
}
\arguments{
\item{object}{a representation of the quantum walk.}

\item{...}{further arguments passed to or from other methods.}
}
\value{
The unitary time evolution operator.
}
\description{
The Unitary Time Evolution Operator of a Quantum Walk
}
\examples{
w <- ctqwalk(matrix(c(0,1,0,1,0,1,0,1,0), nrow=3))

unitary_matrix(w, t = 2*pi) #-> unitary_matrix.ctqwalk(...)

}
\seealso{
\code{\link[=mixing_matrix]{mixing_matrix()}}, \code{\link[=unitary_matrix.ctqwalk]{unitary_matrix.ctqwalk()}}
}
